From c70d4ac5f84a5abee74af4dec761d45b249cbf59 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 1 Apr 2025 12:06:20 +0000
Subject: [PATCH] sbc: upgrade 2.0 -> 2.1

---
 .../sbc/{sbc_2.0.bb => sbc_2.1.bb}            | 118 +++++++++++++++++-
 1 file changed, 115 insertions(+), 3 deletions(-)
 rename meta/recipes-multimedia/sbc/{sbc_2.0.bb => sbc_2.1.bb} (15%)

diff --git a/meta/recipes-multimedia/sbc/sbc_2.0.bb b/meta/recipes-multimedia/sbc/sbc_2.1.bb
similarity index 15%
rename from meta/recipes-multimedia/sbc/sbc_2.0.bb
rename to meta/recipes-multimedia/sbc/sbc_2.1.bb
index d25be9e80c..838fb0c507 100644
--- a/meta/recipes-multimedia/sbc/sbc_2.0.bb
+++ b/meta/recipes-multimedia/sbc/sbc_2.1.bb
@@ -1,3 +1,114 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- src/sbcenc.c
+# +++ src/sbcenc.c
+# @@ -1,24 +1,24 @@
+#  /*
+# + * Bluetooth low-complexity, subband codec (SBC) encoder
+# + * Copyright (C) 2004-2010  Marcel Holtmann <marcel@holtmann.org>
+# + * Copyright (C) 2008-2010  Nokia Corporation
+# + * Copyright (C) 2012-2013  Intel Corporation
+#   *
+# - *  Bluetooth low-complexity, subband codec (SBC) encoder
+# - *
+# - *  Copyright (C) 2008-2010  Nokia Corporation
+# - *  Copyright (C) 2004-2010  Marcel Holtmann <marcel@holtmann.org>
+# - *  Copyright (C) 2012-2013  Intel Corporation
+# - *
+# - *
+# - *  This program is free software; you can redistribute it and/or modify
+# - *  it under the terms of the GNU General Public License as published by
+# - *  the Free Software Foundation; either version 2 of the License, or
+# - *  (at your option) any later version.
+# - *
+# - *  This program is distributed in the hope that it will be useful,
+# - *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+# - *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# - *  GNU General Public License for more details.
+# - *
+# - *  You should have received a copy of the GNU General Public License
+# - *  along with this program; if not, write to the Free Software
+# - *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+# - *
+# + * SPDX-License-Identifier: GPL-2.0-or-later
+#   */
+# +
+# +#ifdef HAVE_CONFIG_H
+# +#include <config.h>
+# +#endif
+# +
+# +#include <stdio.h>
+# +#include <errno.h>
+# +#include <fcntl.h>
+# +#include <unistd.h>
+# +#include <stdlib.h>
+# +#include <stdbool.h>
+# +#include <stdint.h>
+# +#include <string.h>
+# +#include <getopt.h>
+# +#include <sys/stat.h>
+# +
+# --- sbc/sbc.h
+# +++ sbc/sbc.h
+# @@ -1,26 +1,26 @@
+#  /*
+# + * Bluetooth low-complexity, subband codec (SBC) library
+# + * Copyright (C) 2004-2010  Marcel Holtmann <marcel@holtmann.org>
+# + * Copyright (C) 2004-2005  Henryk Ploetz <henryk@ploetzli.ch>
+# + * Copyright (C) 2005-2006  Brad Midgley <bmidgley@xmission.com>
+# + * Copyright (C) 2008-2010  Nokia Corporation
+# + * Copyright (C) 2012-2014  Intel Corporation
+#   *
+# - *  Bluetooth low-complexity, subband codec (SBC) library
+# - *
+# - *  Copyright (C) 2008-2010  Nokia Corporation
+# - *  Copyright (C) 2012-2014  Intel Corporation
+# - *  Copyright (C) 2004-2010  Marcel Holtmann <marcel@holtmann.org>
+# - *  Copyright (C) 2004-2005  Henryk Ploetz <henryk@ploetzli.ch>
+# - *  Copyright (C) 2005-2006  Brad Midgley <bmidgley@xmission.com>
+# - *
+# - *
+# - *  This library is free software; you can redistribute it and/or
+# - *  modify it under the terms of the GNU Lesser General Public
+# - *  License as published by the Free Software Foundation; either
+# - *  version 2.1 of the License, or (at your option) any later version.
+# - *
+# - *  This library is distributed in the hope that it will be useful,
+# - *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+# - *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# - *  Lesser General Public License for more details.
+# - *
+# - *  You should have received a copy of the GNU Lesser General Public
+# - *  License along with this library; if not, write to the Free Software
+# - *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+# - *
+# + * SPDX-License-Identifier: LGPL-2.1-or-later
+#   */
+# +
+# +#ifndef __SBC_H
+# +#define __SBC_H
+# +
+# +#ifdef __cplusplus
+# +extern "C" {
+# +#endif
+# +
+# +#include <stdint.h>
+# +#include <sys/types.h>
+# +
+# +/* sampling frequency */
+# +#define SBC_FREQ_16000		0x00
+# +#define SBC_FREQ_32000		0x01
+# +#define SBC_FREQ_44100		0x02
+# +#define SBC_FREQ_48000		0x03
+# 
+#
+
 SUMMARY = "SBC Audio Codec"
 DESCRIPTION = "Bluetooth low-complexity, subband codec (SBC) library."
 HOMEPAGE = "https://www.bluez.org"
@@ -7,14 +118,15 @@ LICENSE:${PN} = "LGPL-2.1-or-later"
 LICENSE:${PN}-examples = "GPL-2.0-or-later"
 LIC_FILES_CHKSUM = "file://COPYING;md5=12f884d2ae1ff87c09e5b7ccc2c4ca7e \
                     file://COPYING.LIB;md5=fb504b67c50331fc78734fed90fb0e09 \
-                    file://src/sbcenc.c;beginline=1;endline=24;md5=08e7a70b127f4100ff2cd7d629147d8d \
-                    file://sbc/sbc.h;beginline=1;endline=26;md5=0f57d0df22b0d40746bdd29805a4361b"
+                    file://src/sbcenc.c;beginline=1;endline=24;md5=1db4f3850f47b59e79aeedb2668f4b3e \
+                    file://sbc/sbc.h;beginline=1;endline=26;md5=c5a50a7fc33c148ee362e2b46574a87f \
+                    "
 
 DEPENDS = "libsndfile1"
 
 SRC_URI = "${KERNELORG_MIRROR}/linux/bluetooth/${BP}.tar.xz"
 
-SRC_URI[sha256sum] = "8f12368e1dbbf55e14536520473cfb338c84b392939cc9b64298360fd4a07992"
+SRC_URI[sha256sum] = "426633cabd7c798236443516dfa8335b47e004b0ef37ff107e0c7ead3299fcc2"
 
 inherit autotools pkgconfig
 
-- 
2.47.1

